Skip to main content
GET
/
v1
/
tenants
List tenants
curl --request GET \
  --url https://api.example.com/v1/tenants

Overview

Returns all tenants the authenticated user has access to. Most users belong to a single tenant; users with cross-tenant access (such as CauseFlow support staff) may see multiple. Required role: Any authenticated user

Response

Returns 200 OK with an array of tenants.
{
  "tenants": [
    {
      "tenantId": "ten_EXAMPLE_01HX9VTPQR3KF8MZ",
      "name": "Acme Corp",
      "plan": "pro",
      "status": "active"
    },
    {
      "tenantId": "ten_EXAMPLE_02JY0WUQRS4LG9NA",
      "name": "Globex Systems",
      "plan": "business",
      "status": "active"
    }
  ]
}
FieldTypeDescription
tenantIdstringUnique identifier for the tenant
namestringThe tenant display name
planstringThe subscription plan: starter, pro, business, or enterprise
statusstringTenant status: active or suspended

Examples

curl https://api.causeflow.ai/v1/tenants \
  -H "Authorization: Bearer <token>"